Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Summary:   	Mozilla Thunderbird is a standalone mail and newsgroup client.
Name:      	thunderbird
Version:   	2.0.0.17
Release:	1
License: 	GNU/GPL
URL:		http://www.mozilla.org
Group:     	Networking/Mail
Source0: 	%{name}-%{version}-source.tar.bz2
Source2: 	mozconfig-%{name}
Source3: 	%{name}.desktop
Source4:	%{name}.png
Source5:	%{name}.sh.in
Source6:	%{name}-open-browser.sh
Source7:	%{name}-ccux-default-prefs.js
Source8:	find-external-requires
# Build Patches
Patch10:	%{name}-2.0-xlib.patch
Patch13:        %{name}-1.5-visibility.patch
# customization patches
Patch20:        %{name}-1.5-default-applications.patch
Patch21:        %{name}-2.0-software-update.patch
# local bugfixes
Patch30:	%{name}-1.5-uriloader.patch
# font system fixes
#Patch40:        %{name}-1.5-nopangoxft.patch
BuildRoot: 	%{_tmppath}/%{name}-buildroot

Requires:	gtk2+ >= 2.8.4
Requires:       nss
Requires:       nspr
BuildRequires: 	gtk2+-devel 
BuildRequires:  libIDL 
BuildRequires:  zip 
BuildRequires:  zlib-devel 
BuildRequires:  libpng-devel 
BuildRequires:  libjpeg-devel 
BuildRequires:  libmng-devel
BuildRequires:	glib-devel
BuildRequires:	atk-devel
BuildRequires:	freetype-devel
BuildRequires:	pango-devel
BuildRequires:  libart_lgpl-devel
BuildRequires:  atk-devel
BuildRequires:  cairo-devel
BuildRequires:  fontconfig-devel
BuildRequires:  freetype-devel
BuildRequires:	libgnome-devel
BuildRequires:	libgnomecanvas-devel
BuildRequires:  nss-devel
BuildRequires:  nspr-devel
BuildRequires:  ORBit2-devel
BuildRequires:  popt

# Require for rpm lzma compression transition
Requires:        rpm >= 4.4.2.3-1

%define		tbdir		%_libdir/%{name}-%{version}
%define		_extensions	%{tbdir}/extensions
%define		cid		{{972ce4c6-7e08-4474-a285-3208198ce6fd}}

%define 	_use_internal_dependency_generator 0
%define 	__find_requires %{SOURCE8}

%description
Mozilla Thunderbird is a standalone mail and newsgroup client.

%post
ldconfig

%postun
ldconfig

%prep
%setup -n mozilla
cp -f %{SOURCE2} .mozconfig
# Build Patches
%patch10 -p1
#%patch13 -p1
# customization patches
#%patch20 -p1
%patch21 -p1
# local bugfixes
#%patch30 -p1
# font system fixes
#%patch40 -p1

%build
export CXXFLAGS="$CFLAGS"
export BUILD_OFFICIAL=1
export MOZILLA_OFFICIAL=1
./configure
make -f client.mk build_all

cd xpinstall/packager
make STRIP=/bin/true


%install
# removing old build
rm -rf $RPM_BUILD_ROOT

# Make Buildroot complete
mkdir -p $RPM_BUILD_ROOT{%_libdir,%_bindir,%_applications,%_pixmaps}
tar -C $RPM_BUILD_ROOT%_libdir/ -xzf dist/%{name}-*linux*.tar.gz
mv $RPM_BUILD_ROOT%_libdir/%{name} $RPM_BUILD_ROOT%{tbdir}
rm -f $RPM_BUILD_ROOT%_libdir/%{name}-*linux*.tar

# Install Icon
cp %{SOURCE3} $RPM_BUILD_ROOT%_applications/%{name}.desktop
cp %{SOURCE4} $RPM_BUILD_ROOT%_pixmaps/%{name}.png

# set up the thunderbird start script
cat %{SOURCE5} | sed -e 's,TBIRD_VERSION,%{version},g' > \
  $RPM_BUILD_ROOT%_bindir/thunderbird
chmod 755 $RPM_BUILD_ROOT%_bindir/thunderbird

install -m755 %{SOURCE6} $RPM_BUILD_ROOT/%{tbdir}/open-browser.sh
perl -pi -e 's|LIBDIR|%_libdir|g' $RPM_BUILD_ROOT/%{tbdir}/open-browser.sh

cat %{SOURCE7} | sed -e 's,THUNDERBIRD_RPM_VR,%{version}-%{release},g' \
	-e 's,COMMAND,%{tbdir}/open-browser.sh,g' > \
	$RPM_BUILD_ROOT/ccux-default-prefs
cp $RPM_BUILD_ROOT/ccux-default-prefs $RPM_BUILD_ROOT/%{tbdir}/greprefs/all-ccux.js
cp $RPM_BUILD_ROOT/ccux-default-prefs $RPM_BUILD_ROOT/%{tbdir}/defaults/pref/all-ccux.js
rm $RPM_BUILD_ROOT/ccux-default-prefs

# create mozilla plugin dir
mkdir -p $RPM_BUILD_ROOT%_libdir/mozilla/plugins

# install thunderbird-config
cp build/unix/%{name}-config $RPM_BUILD_ROOT%_bindir

# Don't know what this mean
cd $RPM_BUILD_ROOT%{tbdir}/chrome
find . -name "*" -type d -maxdepth 1 -exec rm -rf {} \;
cd -

#Remove Variables
unset MOZILLA_OFFICIAL
unset BUILD_OFFICIAL

%files
%defattr(-,root,root)
%_bindir
%_applications
%_pixmaps
%{tbdir}

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Fri Sep 26 2008 Karsten Brockmann <arcam@ccux-linux.de> 2.0.0.17-1
- version update
* Fri Jul 25 2008 Karsten Brockmann <arcam@ccux-linux.de> 2.0.0.16-1
- version update
* Fri May 02 2008 Karsten Brockmann <arcam@ccux-linux.de> 2.0.0.14-1
- version update
* Wed Nov 14 2007 Christian Metzen <metzench@ccux-linux.de> 2.0.0.9-1
- Version update
* Fri Jul 20 2007 Karsten Brockmann <arcam@ccux-linux.de> 2.0.0.6-1
- version update
* Fri Jul 20 2007 Karsten Brockmann <arcam@ccux-linux.de> 2.0.0.5-1
- version update
* Fri Jun 15 2007 Karsten Brockmann <arcam@ccux-linux.de> 2.0.0.4-1
- version update
* Sun May 06 2007 Karsten Brockmann <arcam@ccux-linux.de> 2.0.0.0-1
- version update
* Sat Feb 23 2007 Karsten Brockmann <arcam@ccux-linux.de> 2.0b2-1
- version update
* Wed Dec 20 2006 Christian Metzen <metzench@ccux-linux.de> 1.5.0.9-1
- Version update
* Fri Nov 10 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.5.0.8-1
- version update
* Thu Sep 21 2006 Christian Metzen <metzench@ccux-linux.de> 1.5.0.7-1
- Version update
* Fri Jul 28 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.5.0.5-1
- version update
* Sun Jun 04 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.5.0.4-1
- version update
* Tue May 02 2006 Christian Wasem <wasem@ccux-linux.de> 1.5.0.2-3
- remove all i18n packages
* Sun Apr 23 2006 Christian Wasem <wasem@ccux-linux.de> 1.5.0.2-2
- remove thunderbird-locale_switcher requirements in subpackages
* Fri Apr 21 2006 Christian Wasem <wasem@ccux-linux.de> 1.5.0.2-1
- Update to Version 1.5.0.2, readded language support
* Mon Apr 17 2006 Christian Wasem <wasem@ccux-linux.de> 1.5-4
- removed built-in language support
* Sun Apr 16 2006 Christian Wasem <wasem@ccux-linux.de> 1.5-3
- tweaked specfile, added language support
* Thu Mar 16 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.5-2
- built to make use of system installed nss / nspr 
- reviewed requirements
* Mon Jan 16 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.5-1
- Version Update
* Fri Sep 30 2005 Christian Metzen <metzench@ccux-linux.de> 1.0.7-1
- Version update
* Sun Sep 25 2005 Christian Metzen <metzench@ccux-linux.de> 1.0.6-3
- Rebuild against newest gtk2+
* Fri Jul 22 2005 Christian Metzen <metzench@ccux-linux.de> 1.0.6-2
- Fixed Bug #0000109
* Wed Jul 20 2005 Karsten Brockmann <arcam@ccux-linux.de> 1.0.6-1
- Version Update
* Thu Jul 14 2005 Karsten Brockmann <arcam@ccux-linux.de> 1.0.5-1
- Version Update
* Tue Mar 29 2005 Christian Metzen <metzench@ccux-linux.de> 1.0.2-3
- Fixed minor Bug that prevented Thunderbird to open web Links
* Wed Mar 23 2005 Christian Metzen <metzench@ccux-linux.de> 1.0.2-2
- Removed GNOME Dependencies
* Wed Mar 23 2005 Christian Metzen <metzench@ccux-linux.de> 1.0.2-1
- Version Update to 1.0.2
* Wed Feb 23 2005 Christian Metzen <metzench@ccux-linux.de> 1.0-3
- Tweaked Specfile, moved .desktop Location, removed Freetype
* Fri Dec 07 2004 Christian Metzen <metzench@ccux-linux.de> 1.0-2
- Fixed URL Behaviour
* Tue Dec 04 2004 Christian Metzen <metzench@ccux-linux.de> 1.0-1
- Version Update to 1.0
